Index: /trunk/admin/inc/hook_admin.inc.php
===================================================================
--- /trunk/admin/inc/hook_admin.inc.php	(revision 357)
+++ /trunk/admin/inc/hook_admin.inc.php	(revision 1035)
@@ -76,5 +76,19 @@
 		$file['phpInfo']         = $GLOBALS['phpgw']->link('/admin/phpinfo.php');
 	}
- 
+
+	if (! $GLOBALS['phpgw']->acl->check('asyncservice_access',1,'admin'))
+	{
+		if($GLOBALS['phpgw_info']['server']['use_assinar_criptografar']  ||  $GLOBALS['phpgw_info']['server']['certificado'])
+		{
+			$file['CASCRLS']    = $GLOBALS['phpgw']->link('../seguranca/security_admin.php');
+		}
+	}
+
+
+	if (! $GLOBALS['phpgw']->acl->check('asyncservice_access',1,'admin'))
+	{
+		$file['subversion']    = $GLOBALS['phpgw']->link('subversion.php');
+	}
+
 	if (! $GLOBALS['phpgw']->acl->check('site_config_access',1,'admin'))
 	{
Index: /trunk/setup/manageheader.php
===================================================================
--- /trunk/setup/manageheader.php	(revision 2)
+++ /trunk/setup/manageheader.php	(revision 1035)
@@ -599,4 +599,26 @@
 					break;
 			}
+
+            switch($GLOBALS['phpgw_info']['server']['use_assinar_criptografar'])
+			{
+				case '0':
+					$setup_tpl->set_var('use_assinar_criptografar_0',' checked');
+					break;
+				case '1':
+					$setup_tpl->set_var('use_assinar_criptografar_1',' checked');
+					break;
+				default:
+					$setup_tpl->set_var('use_assinar_criptografar_0',' checked');
+			}
+
+			if($GLOBALS['phpgw_info']['server']['num_max_certs_to_cipher'])
+			{
+				$setup_tpl->set_var('num_max_certs_to_cipher',$GLOBALS['phpgw_info']['server']['num_max_certs_to_cipher']);
+			}
+			else
+			{
+				$setup_tpl->set_var('num_max_certs_to_cipher','10');
+			}
+
 			if(@$GLOBALS['phpgw_info']['server']['sugestoes_email_to'])
 			{
Index: /trunk/preferences/preferences.php
===================================================================
--- /trunk/preferences/preferences.php	(revision 1002)
+++ /trunk/preferences/preferences.php	(revision 1035)
@@ -122,4 +122,5 @@
 			$def_text = $def_text != '' ? ' <i><font size="-1">'.lang('default').':&nbsp;'.$def_text.'</font></i>' : '';
 		}
+        $t->set_var('row_id', "${GLOBALS[type]}[$name]");
 		$t->set_var('row_value',"<input name=\"${GLOBALS[type]}[$name]\"value=\"".
 			@htmlentities($default,ENT_COMPAT,$charSet)."\"$options>$def_text");
@@ -148,5 +149,5 @@
 	}
 
-	function create_check_box($label,$name,$help='',$default='',$run_lang=True)
+	function create_check_box($label,$name,$help='',$default='',$run_lang=True,$checkbox_prop='',$visible=True)
 	{
 		// checkboxes itself can't be use as they return nothing if uncheckt !!!
@@ -165,5 +166,5 @@
 			'0' => lang('No'),
 			'1' => lang('Yes')
-		),$help,$default,$run_lang);
+		),$help,$default,$run_lang,$checkbox_prop,$visible);
 	}
 
@@ -196,4 +197,5 @@
 	{
 		global $t,$prefs;
+        $t->set_var('row_id', "${GLOBALS[type]}[$name]");
 		$t->set_var('row_value',$code.$prefs[$name].$appendcode);
 		$t->set_var('row_name',lang("signature"));
@@ -202,5 +204,5 @@
 	}
 
-	function create_select_box($label,$name,$values,$help='',$default='',$run_lang=True,$select_prop = '')
+	function create_select_box($label,$name,$values,$help='',$default='',$run_lang=True,$select_prop = '',$visible=True)
 	{
 		global $t,$prefs;
@@ -235,8 +237,18 @@
 			$def_text = $def_text != '' ? ' <i><font size="-1">'.lang('default').':&nbsp;'.$values[$def_text].'</font></i>' : '';
 		}
+        $t->set_var('row_id', "${GLOBALS[type]}[$name]");
 		$t->set_var('row_value',"<select name=\"${GLOBALS[type]}[$name]\" $select_prop>$s</select>$def_text");
 		$t->set_var('row_name',lang($label));
+        if ($visible)
+        {
+            $t->set_var('row_visibility', '');
+        }
+        else
+        {
+            $t->set_var('row_visibility', 'style="display: none;"');
+        }
+        
 		$GLOBALS['phpgw']->nextmatchs->template_alternate_row_color($t);
-
+        
 		$t->fp('rows',process_help($help,$run_lang) ? 'help_row' : 'row',True);
 	}
@@ -314,4 +326,5 @@
 			$def_text = $def_text != '' ? '<br><i><font size="-1"><b>'.lang('default').'</b>:<br>'.nl2br($def_text).'</font></i>' : '';
 		}
+        $t->set_var('row_id', "${GLOBALS[type]}[$name]");
 		$t->set_var('row_value',"<textarea rows=\"$rows\" cols=\"$cols\" name=\"${GLOBALS[type]}[$name]\">".
 			htmlentities($default,ENT_COMPAT,$charSet)."</textarea>$def_text");
Index: /trunk/seguranca/ExpressoCertLogin/manifest.mf
===================================================================
--- /trunk/seguranca/ExpressoCertLogin/manifest.mf	(revision 1035)
+++ /trunk/seguranca/ExpressoCertLogin/manifest.mf	(revision 1035)
@@ -0,0 +1,3 @@
+Manifest-Version: 1.0
+X-COMMENT: Main-Class will be added automatically by build
+
